## iva 0.1.0

=== DESCRIPTION ===
Package: iva
Type: Package
Title: Instrumental Variable Analysis in Case-Control Association
        Studies
Version: 0.1.0
Author: Han Zhang, Kai Yu
Maintainer: Han Zhang <han.zhang2@nih.gov>
Imports: ucminf, Formula
Description: Mendelian randomization (MR) analysis is a special case of instrumental variable analysis with genetic instruments. It is used to estimate the unconfounded causal effect of an exposure. This package implements estimating and testing methods in Zhang et al. (2019) for MR analysis in case-control studies. It (1) estimates the causal effect of a quantitative exposure by the quasi empirical likelihood approach; (2) uses Lagrange multiplier test for testing the presence of causal; (3) provides a test for the presence of confounder. 
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
NeedsCompilation: no
Packaged: 2019-01-12 01:02:36 UTC; zhangh12
Repository: CRAN
Date/Publication: 2019-01-19 23:50:03 UTC

## iva 1.0.6+ds

=== debian/changelog ===
iva (1.0.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Change orig tarball compression.
  * Add missing repack suffix to package.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 12 May 2016 09:50:41 +0000

iva (1.0.5-1) unstable; urgency=low

  * Initial release (Closes: #772547)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 05 May 2016 09:32:57 +0000

=== debian/control ===
Source: iva
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Jorge Soares <j.s.soares@gmail.com>,
           Sascha Steinbiss <sascha@steinbiss.name>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libssl-dev,
               bioperl,
               fastaq (>= 1.6),
               kmc,
               help2man,
               mummer,
               python3,
               python3-setuptools,
               python3-numpy,
               python3-nose,
               python3-networkx,
               python3-pysam,
               samtools,
               smalt,
               default-jdk-headless
Standards-Version: 3.9.8
X-Python3-Version: >= 3.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/iva.git
Homepage: https://github.com/sanger-pathogens/iva

Package: iva
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         fastaq (>= 1.6),
         kmc,
         mummer,
         smalt,
         samtools,
         python3-numpy,
         python3-networkx,
         python3-pysam,
         default-jre-headless
Recommends: r-base-core,
            bioperl,
            trimmomatic
Description: iterative virus sequence assembler
 IVA is a de novo assembler designed to assemble
 virus genomes that have no repeat sequences,
 using Illumina read pairs sequenced from mixed
 populations at extremely high depth.
 .
 IVA's main algorithm works by iteratively extending
 contigs using aligned read pairs. Its input can be
 just read pairs, or additionally you can provide an
 existing set of contigs to be extended. Alternatively,
 it can take reads together with a reference sequence.

## iva 1.0.8+ds

=== debian/changelog ===
iva (1.0.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied by upstream.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 12 Jan 2017 16:10:08 +0100

iva (1.0.7+ds-2) unstable; urgency=medium

  * disable multiprocessing related test case to fix potential FTBFS

 -- Sascha Steinbiss <satta@debian.org>  Tue, 27 Sep 2016 10:02:51 +0000

iva (1.0.7+ds-1) unstable; urgency=medium

  * Add Vcs-Git.
  * Update uploader email.
  * New upstream release.
  * Drop patches applied by upstream.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 06 Sep 2016 10:59:10 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Jorge Soares <j.s.soares@gmail.com>,
-           Sascha Steinbiss <sascha@steinbiss.name>
+           Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -24,6 +24,7 @@
 Standards-Version: 3.9.8
 X-Python3-Version: >= 3.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/iva.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/iva.git
 Homepage: https://github.com/sanger-pathogens/iva
 
 Package: iva

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE := 1
export PYBUILD_NAME=iva

mandir := $(CURDIR)/debian/man
debfolder := $(CURDIR)/debian
read_trim_dir := $(CURDIR)/iva/read_trim
gage_dir := $(CURDIR)/iva/gage
ratt_dir := $(CURDIR)/iva/ratt

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	chmod a-x $(read_trim_dir)/adapters.fasta
	chmod a+x $(gage_dir)/getCorrectnessStats.sh
	chmod a+x $(ratt_dir)/main.ratt.pl
	chmod a+x scripts/*
	javac -verbose $(gage_dir)/*.java
	dh_auto_build --

override_dh_installman:
	mkdir -p $(mandir)
	PYTHONPATH=. help2man -N -o $(mandir)/iva.1 \
          -n 'iterative virus assembler' \
          --no-discard-stderr  ./scripts/iva
	PYTHONPATH=. help2man -N -o $(mandir)/iva_qc.1 \
          -n 'compare an assembly to a reference' \
          --no-discard-stderr ./scripts/iva_qc
	PYTHONPATH=. help2man -N -o $(mandir)/iva_qc_make_db.1 \
          -n 'make a database as input for iva_qc' \
          --no-discard-stderr  ./scripts/iva_qc_make_db
	dh_installman --

override_dh_auto_clean:
	rm -rf .pybuild
	rm -f iva/gage/*.class
	rm -rf $(mandir)
	find . -name __pycache__ | xargs rm -rf

override_dh_auto_test:
	python3 setup.py test

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repack,compression=xz \
https://github.com/sanger-pathogens/iva/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## iva 1.0.9%2Bds

=== debian/tests/control ===
Tests: test-example
Depends: @, trimmomatic, python3-packaging

## iva 1.0.9+ds

=== debian/changelog ===
iva (1.0.9+ds-4ubuntu1) bionic; urgency=medium

  * Drop the runtime dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Apr 2018 12:04:46 +0200

iva (1.0.9+ds-4) unstable; urgency=medium

  * Add dh-python to Build-Depends since this will be dropped from python3's
    Depends soon
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 26 Mar 2018 17:01:10 +0200

iva (1.0.9+ds-3) unstable; urgency=medium

  * Add distutils to runtime dependencies.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 23 Mar 2018 07:36:45 +0100

iva (1.0.9+ds-2) unstable; urgency=medium

  * Fix watchfile to not report non-release tags (with '-X' suffix).
  * Respect nocheck option in tests.
  * Update debhelper compat level to 10.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 10 Feb 2018 11:27:13 +0100

iva (1.0.9+ds-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added refs to registries

  [ Sascha Steinbiss ]
  * New upstream release.
  * Remove obsolete patch files.
  * Use secure copyright format link.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 29 Jan 2018 14:44:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
            Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
+               dh-python,
                libssl-dev,
                bioperl,
                fastaq (>= 1.6),
@@ -21,11 +22,11 @@
                samtools,
                smalt,
                default-jdk-headless
-Standards-Version: 3.9.8
-X-Python3-Version: >= 3.3
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/iva.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/iva.git
 Homepage: https://github.com/sanger-pathogens/iva
+X-Python3-Version: >= 3.3
 
 Package: iva
 Architecture: any

=== debian/tests/control ===
Tests: test-example
Depends: @, trimmomatic

## iva 1.0.11%2Bds

=== debian/changelog ===
iva (1.0.11+ds-6build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 21 Jan 2026 19:54:49 +0000

iva (1.0.11+ds-6) unstable; urgency=medium

  * Team upload.
  * syntax-warning.patch: apply raw strings to regexes. (Closes: #1085655)
  * python3.12.patch: normalize last update timestamp.
  * d/patches/*: indicate the forwarding status.

 -- Étienne Mollier <emollier@debian.org>  Wed, 04 Dec 2024 21:42:08 +0100

iva (1.0.11+ds-5) unstable; urgency=medium

  * Python3.12 compatibility by avoiding usage of distutils
    Closes: #1061804
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  Remove patch reduce-ram.patch that is missing from debian/patches/series.

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 13:34:57 +0100

iva (1.0.11+ds-4) unstable; urgency=medium

  * Enable building twice in a row.
    Closes: #1045886
  * Bump Standards-Version.
  * Bump debian directory copyright date.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 18 Dec 2023 22:00:38 +0100

iva (1.0.11+ds-3) unstable; urgency=medium

  * Team upload.
  * d/control: replace nose by pytest. (Closes: #1018382)
  * d/rules: fetch and run tests with pytest-3.
  * Set upstream metadata fields: Repository-Browse.

 -- Étienne Mollier <emollier@debian.org>  Fri, 02 Dec 2022 17:51:23 +0100

iva (1.0.11+ds-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Enable uscan downloading sensible file name

  [ Sascha Steinbiss ]
  * Fix watchfile.
  * Bump Standards-Version.
  * Update copyright year.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 08 Oct 2022 18:53:24 +0200

iva (1.0.11+ds-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Oct 2021 16:47:27 +0200

iva (1.0.9+ds-11) unstable; urgency=medium

  * Rebuild to reflect versioned Build-Depends: kmc (>= 3.1).  This will
    invalidate iva on several architectures as long kmc 3.x is only
    available on amd64
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Restrictions: skip-not-installable

 -- Andreas Tille <tille@debian.org>  Tue, 22 Dec 2020 09:12:41 +0100

iva (1.0.9+ds-10) unstable; urgency=medium

  * Disable tests that run KMC to circumvent failing builds on low-RAM
    machines.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 09 Feb 2020 09:51:06 +0100

iva (1.0.9+ds-9) unstable; urgency=medium

  * Try to fix test failure on i386 by retrying KMC run with even less RAM.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 08 Feb 2020 17:15:05 +0100

iva (1.0.9+ds-8) unstable; urgency=medium

  * Team upload.
  * Add missing python3-packaging dependency for the autopkgtests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 04 Jan 2020 18:21:02 +0100

iva (1.0.9+ds-7) unstable; urgency=medium

  * Team upload.
  * debian/patches/samtools1.10: fix the samtools version logic
  * debhelper-compat 12

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Dec 2019 12:37:15 +0100

iva (1.0.9+ds-6) unstable; urgency=medium

  * Use correct Vcs-Git URL.
  * Remove ancient X-Python3-Version field.
  * Use Debian's Perl path in RATT scripts.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 01 Aug 2018 21:19:30 +0200

iva (1.0.9+ds-5) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Remove runtime dep on distutils.
    Closes: #894898
  * Bump Standards-Version.
  * Use Salsa's Vcs-* URLs.

  [ Dylan Aïssi ]
  * Fix OMICS IDs.
  * Add bio.tools ref.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 13 Apr 2018 07:23:02 +0200

## iva 1.0.11+ds

=== debian/control ===
--- 
+++ 
@@ -5,34 +5,36 @@
            Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libssl-dev,
                bioperl,
-               fastaq (>= 1.6),
-               kmc,
+               fastaq,
+               kmc (>= 3.1),
                help2man,
                mummer,
                python3,
                python3-setuptools,
+               python3-packaging,
                python3-numpy,
-               python3-nose,
                python3-networkx,
                python3-pysam,
+               python3-pytest,
                samtools,
                smalt,
                default-jdk-headless
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/iva.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/iva.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/med-team/iva
+Vcs-Git: https://salsa.debian.org/med-team/iva.git
 Homepage: https://github.com/sanger-pathogens/iva
-X-Python3-Version: >= 3.3
+Rules-Requires-Root: no
 
 Package: iva
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
-         fastaq (>= 1.6),
+         ${perl:Depends},
+         fastaq,
          kmc,
          mummer,
          smalt,

=== debian/rules ===
--- 
+++ 
@@ -40,4 +40,6 @@
 	find . -name __pycache__ | xargs rm -rf
 
 override_dh_auto_test:
-	python3 setup.py test
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	python3 -m pytest --verbose
+endif

=== debian/tests/control ===
Tests: test-example
Depends: @, trimmomatic, python3-packaging
Restrictions: skip-not-installable
# Currently kmc is only available for amd64
